/*
 * rdfservercallbacks.h
 *
 * Copyright (C) Leni Mayo 2002
 *
 *	This program is free software; you can redistribute it and/or modify
 *	it under the terms of the GNU General Public License as published by
 *	the Free Software Foundation; either version 2 of the License, or
 *	(at your option) any later version.
 *	
 *	This program is distributed in the hope that it will be useful,
 *	but WITHOUT ANY WARRANTY; without even the implied warranty of
 *	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *	GNU General Public License for more details.
 *	
 *	You should have received a copy of the GNU General Public License
 *	along with this program; if not, write to the Free Software
 *	Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */
#ifndef _RDFSERVERCALLBACKS_H_
#define _RDFSERVERCALLBACKS_H_

#include <stdio.h>
#include "rdfserver.h"

CallbackReturnCode callbackRosterPopulate(RdfServer *pRdfServer, FILE *fpOut, const char *pszBigString);

CallbackReturnCode callbackRosterApplyStarted(RdfServer *pRdfServer, FILE *fpOut, const char *pszBigString);

CallbackReturnCode callbackRosterQueryCodeApply(RdfServer *pRdfServer, FILE *fpOut, const char *pszBigString);

#endif /* _RDFSERVERCALLBACKS_H_ */
